Hello there! We are conducting a survey to better understand the user experience in making a first edit. If you have ever made an edit on Gamepedia, please fill out the survey. Thank you!

System requirements

From Transit King Tycoon Wiki
Jump to: navigation, search

This article is a stub. You can help Transit King Tycoon Wiki by expanding it.

The following are the minimum and recommended system requirements for Transit King Tycoon. While these requirements do not represent a guaranteed working configuration, meeting the minimum requirements should ensure at least a launch-able environment.

Transit King Tycoon is available for iOS and Android, requiring at least iOS 10 or Android 4.4 (newer updates have minimum requirement for Android 5)

See also[edit | edit source]